# http://github.com/karlseguin/ccache
%global provider_prefix github.com/karlseguin/ccache
%global gobaseipath     %{provider_prefix}
%global commit          a2d62155777b39595c825ed3824279e642a5db3c
%global commitdate      20161103

%gocraftmeta -i

Name:           %{goname}
Version:        2.0.2
Release:        0.5.%{commitdate}git%{shortcommit}%{?dist}
Summary:        A golang LRU Cache for high concurrency
# Detected licences
# - MIT/X11 (BSD like) at 'license.txt'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}

%package devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: golang(github.com/karlseguin/expect)

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{gobaseipath} prefix.

%prep
%gosetup

%install
%goinstall

%check
%gochecks %{gobaseipath}

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files devel -f devel.file-list
%license license.txt
%doc readme.md

%changelog
* Thu Mar 01 2018 Jan Chaloupka <jchaloup@redhat.com> - 2.0.2-0.5.20161103gita2d6215
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-0.4.gita2d6215
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-0.3.gita2d6215
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-0.2.gita2d6215
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 01 2017 Jan Chaloupka <jchaloup@redhat.com> - 2.0.2-0.1.gita2d6215
- First package for Fedora
  resolves: #1418371
